## pxp 1.1.94.2

=== Makefile ===
--- 
+++ 
@@ -3,49 +3,57 @@
 # make install: installs the configured packages
 # make clean: cleans everything up
 
-# Inclusion of Makefile.conf may fail when cleaning up:
--include Makefile.conf
-
 NAME=pxp
 TOP_DIR=.
+
+include Makefile.rules
 
 .PHONY: all
 all:
 	$(MAKE) -C tools all
 	for pkg in $(PKGLIST); do $(MAKE) -C src/$$pkg all || exit; done
+	for pkg in $(GENPKGLIST); do $(MAKE) -C gensrc/$$pkg generate || exit; done
+	for pkg in $(GENPKGLIST); do $(MAKE) -C gensrc/$$pkg all || exit; done
 
 .PHONY: opt
 opt:
 	for pkg in $(PKGLIST); do $(MAKE) -C src/$$pkg opt || exit; done
+	for pkg in $(GENPKGLIST); do $(MAKE) -C gensrc/$$pkg opt || exit; done
 
 # The following PHONY rule is important for Cygwin:
 .PHONY: install
 install:
 	for pkg in $(PKGLIST); do $(MAKE) -C src/$$pkg install || exit; done
+	for pkg in $(GENPKGLIST); do $(MAKE) -C gensrc/$$pkg install || exit; done
 
 .PHONY: uninstall
 uninstall:
 	$(MAKE) -C src uninstall	
+	for pkg in $(ALLGENPKGLIST); do $(OCAMLFIND) remove $$pkg; done
+
+# On the toplevel, clean is CLEAN:
 
 .PHONY: clean
 clean:
-	rm -f Makefile.conf
 	$(MAKE) -C tools CLEAN
 	$(MAKE) -C src CLEAN
+	for dir in gensrc/pxp-*; do $(MAKE) -C $$dir CLEAN || true; done
 	$(MAKE) -C examples CLEAN
 	$(MAKE) -C rtests CLEAN
+	rm -f .testscript .testout
 
 .PHONY: CLEAN
 CLEAN: clean
 
 .PHONY: distclean
 distclean:
-	rm -f Makefile.conf
+	rm -f *~ Makefile.conf
 	$(MAKE) -C tools distclean
 	$(MAKE) -C src distclean
 	$(MAKE) -C examples distclean
 	$(MAKE) -C rtests distclean
-	$(MAKE) -C doc distclean
+	test ! -f doc/Makefile || $(MAKE) -C doc distclean
+	for dir in gensrc/pxp-*; do if [ -f $$dir/gen_dir ]; then rm -rf $$dir; else $(MAKE) -C $$dir distclean; fi; done
 
 .PHONY: RELEASE
 RELEASE:
