=== src/Makefile ===
all:
	false

clean:

distclean:
	$(MAKE) -C pxp distclean
	$(MAKE) -C pxp-engine distclean

CLEAN:
	$(MAKE) -C pxp CLEAN
	$(MAKE) -C pxp-engine CLEAN

uninstall:
	$(MAKE) -C pxp uninstall
	$(MAKE) -C pxp-engine uninstall
