=== rtests/canonxml/Makefile ===
--- 
+++ 
@@ -4,8 +4,6 @@
 # make CLEAN:           remove intermediate files (recursively)
 # make distclean: 	remove any superflous files (recursively)
 #----------------------------------------------------------------------
-
-OCAMLPATH=../../src
 
 test_canonxml: test_canonxml.ml
 	ocamlfind ocamlc -g -custom -o test_canonxml -package pxp,str -linkpkg test_canonxml.ml
