=== rtests/dynamic/Makefile ===
--- 
+++ 
@@ -4,8 +4,6 @@
 # make CLEAN:           remove intermediate files (recursively)
 # make distclean: 	remove any superflous files (recursively)
 #----------------------------------------------------------------------
-
-OCAMLPATH=../../src
 
 all: create_element modify strip
