=== rtests/negative/Makefile ===
--- 
+++ 
@@ -3,8 +3,6 @@
 # make CLEAN:           remove intermediate files (recursively)
 # make distclean: 	remove any superflous files (recursively)
 #----------------------------------------------------------------------
-
-OCAMLPATH=../../src
 
 test_negative: test_negative.ml
 	ocamlfind ocamlc -g -custom -o test_negative -package pxp,str -linkpkg test_negative.ml
