=== src/pxp-pp/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 PACKAGES = netstring,ulex,camlp4.quotations,camlp4.macro
 
 OCAMLC_OPTIONS += -syntax camlp4o
-OCAMLC_OPTIONS += $(CAMLP4_LOC)
+OCAMLC_OPTIONS += $(CAMLP4_LOC) -ppopt -loc -ppopt loc
 
 
 all: pxp_pp.cma
