=== tools/src/Makefile ===
all:
	$(MAKE) -C m2parsergen
#	$(MAKE) -C ucs2_to_utf8
	$(MAKE) -C lexpp

clean:

CLEAN: clean
	$(MAKE) -C m2parsergen CLEAN
#	$(MAKE) -C ucs2_to_utf8 CLEAN
	$(MAKE) -C lexpp CLEAN

distclean:
	$(MAKE) -C m2parsergen distclean
#	$(MAKE) -C ucs2_to_utf8 distclean
	$(MAKE) -C lexpp distclean
