## pxp 1.2.2

=== debian/changelog ===
pxp (1.2.2-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Remove Stefano from Uploaders
  * Bump Standards-Version to 3.9.2
  * Switch source package format to 3.0 (quilt)
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Jul 2011 18:25:53 +0200

pxp (1.2.1-2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/control
    - bump Standards-Version to 3.8.3 (no chances needed)
    - update Homepage field to a more specific location
    - add missing ${misc:Depends} on libpxp-ocaml-dev
  * debian/rules:
    - avoid using ocamldoc-apiref-config (which is now gone), instead ship
      a hand-written doc-base entry for upstream doc (Closes: #549750)
    - switch to dh_ocaml for dependency generation, bump deps on dh-ocaml
      accordingly. For the interim, keep old-style dependencies as well.
    - switch {debhelper,dpatch}.mk: fix debian/*.log cleanup

  [ Sylvain Le Gall ]
  * Clean examples/validate/Makefile.config

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 06 Oct 2009 16:09:50 +0200

pxp (1.2.1-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * New Upstream Version
  * Rebuild against OCaml 3.11, bump build-deps as needed
  * update watch file
  * debian/patches
    - remove patch build_w_camlp5 (no longer needed, pxp now builds fine
      with legacy camlp4 and ulex). As a consequence replace build-deps
      from camlp5/ulex08 to camlp4/ulex
    - add patch ocamldoc_missing_txt to avoid referencing an unavailable doc
  * debian/*.in use high level substvar instead of making assumptions on
    the stdlib dir location
  * bump debhelper compatibility to 7
  * debian/control
    - drop obsolete version specifications in build-deps
    - add build dep on dh-ocaml
    - bump Standards-Version to 3.8.1 (no changes)
    - move pxp to (new) archive section "ocaml"
  * debian/docs: avoid installing vanished documents
  * use upstream reference manual
  * debian/rules:
    - use ocaml.mk as a CDBS "rules" snippet
    - create destdir at the end of the build
    - generate doc-base entry for upstream ocamldoc API reference
  * debian/links: add link to preserve upstream manual dir structure

  [ Stephane Glondu ]
  * Switching packaging to git

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Mar 2009 16:57:08 +0100

pxp (1.2.0~test1-3) unstable; urgency=low

  * debian/control: fix typo in package short description (closes: #446909)
  * setting me as an uploader, d-o-m as the maintainer
  * update standards-versions, no changes needed
  * add Homepage field
  * move expansion of upstream comments to ocamldoc-like comments to a
    separate shell script, to avoid Makefile escaping issues
  * debian/rules: use ocamlfind to pass -I flags down to ocamldoc and add
    includes related to the netstring package

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 30 Dec 2007 09:33:33 +0100

pxp (1.2.0~test1-2) unstable; urgency=low

  * debian/rules
    - enable generation of ocamldoc API reference (via CDBS)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 09 Sep 2007 12:18:47 +0200

pxp (1.2.0~test1-1) experimental; urgency=low

  * new upstream release
  * rebuild with OCaml 3.10 (whereas using camlp5 and ulex 0.8)
  * debian/watch
    - add watch file (for the development version)
  * bump debhelper deps and compatibility level to 5
  * debian/control
    - add build-dep on camlp5, ocaml-ulex08
  * debian/patches/
    - renamed patches to avoid numbers in their name, 00list is enough
    - add patch build_w_camlp5, ensure pxp is buildable against camlp5

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 09 Aug 2007 16:49:18 -0400

pxp (1.1.96-8) unstable; urgency=low

  * debian/rules
    - use ocaml.mk
  * debian/control
    - bumped build dependency on ocaml-nox to >= 3.09.2-7, since we now use
      ocaml.mk

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  4 Nov 2006 09:26:41 +0100

pxp (1.1.96-7) unstable; urgency=low

  * debian/control
    - bumped dependencies on ocamlnet

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 13 Sep 2006 17:40:03 +0200

pxp (1.1.96-6) unstable; urgency=low

  * debian/rules
    - avoid to create debian/control from debian/control.in on ocamlinit
    - removed from the source package files which are generated at build time
      from the corresponding .in files
  * debian/control.in
    - file removed, no longer needed

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  5 Sep 2006 22:36:25 +0200

pxp (1.1.96-5) unstable; urgency=low

  * Upload to unstable.

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 17 May 2006 02:33:12 +0000

pxp (1.1.96-4) experimental; urgency=low

  * Rebuilt against OCaml 3.09.2, bumped deps accordingly.
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 11 May 2006 23:38:22 +0000

pxp (1.1.96-3) unstable; urgency=low

  * Rebuilt against OCaml 3.09.1, bumped deps accordingly.

 -- Stefano Zacchiroli <zack@debian.org>  Sun,  8 Jan 2006 13:16:07 +0100

pxp (1.1.96-2) unstable; urgency=low

  * debian/control
    - tighter build-dep on ocamlnet, fixes FTBFS (closes: #340948)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 27 Nov 2005 11:37:14 +0100

pxp (1.1.96-1) unstable; urgency=low

  * new upstream release
  * rebuilt with ocaml 3.09
  * debian/*
    - no more hardcoding of ocaml abi version anywhere
  * debian/rules
    - use cdbs

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 26 Nov 2005 19:08:25 +0100

pxp (1.1.95-7) unstable; urgency=low

  * debian/control
    - rebuilt against latest netstring (bumped ocamlnet deps accordingly)
    - bumped ulex deps
    - bumped standards-version

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 31 Jul 2005 20:51:24 +0200

pxp (1.1.95-6) unstable; urgency=low

  * Rebuilt against ocaml 3.08.3
  * No longer built with wlex support (since wlex is no longer supported
    upstream and corresponding package has been removed from the debian
    archive)


