=== debian/control ===
Source: pxp
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper (>= 7),
 ocaml-nox,
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 libocamlnet-ocaml-dev (>= 2.2.9-6),
 ocaml-ulex,
 camlp4,
 cdbs
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pxp.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pxp.git
Homepage: http://projects.camlcity.org/projects/pxp.html

Package: libpxp-ocaml-dev
Architecture: any
Depends:
 ocaml-nox-${F:OCamlABI},
 libocamlnet-ocaml-dev,
 ocaml-findlib,
 ocaml-ulex,
 ${misc:Depends},
 ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: OCaml library that implements an XML-1.0 validating parser
 PXP is a validating parser for XML-1.0 which has been written entirely
 in Objective Caml.
 .
 PXP is the new name of the parser formerly known as "Markup". PXP means
 "Polymorphic XML parser" and emphasizes its most useful property: that
 the API is polymorphic and can be configured such that different objects
 are used to store different types of elements.
