=== examples/Makefile ===
--- 
+++ 
@@ -11,6 +11,9 @@
 	$(MAKE) -C readme CLEAN
 	$(MAKE) -C simple_transformation CLEAN
 	$(MAKE) -C namespaces CLEAN
+	$(MAKE) -C eventparser CLEAN
+	$(MAKE) -C pullparser CLEAN
+	$(MAKE) -C xhtml2html CLEAN
 
 .PHONY: distclean
 distclean: clean
@@ -20,6 +23,8 @@
 	$(MAKE) -C readme distclean
 	$(MAKE) -C simple_transformation distclean
 	$(MAKE) -C namespaces distclean
+	$(MAKE) -C eventparser distclean
+	$(MAKE) -C pullparser distclean
+	$(MAKE) -C xhtml2html distclean
 
 
-
