=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  camlp4,
  cdbs
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pxp.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pxp.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/pxp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/pxp.git
 Homepage: http://projects.camlcity.org/projects/pxp.html
 
 Package: libpxp-ocaml-dev
