=== tools/src/lexpp/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	mll_lexer.cmo \
        ucs2_to_utf8.cmo main.cmo
 
-PACKAGES=netstring
+PACKAGES=netstring $(NETUNIDATA)
 
 uni_lexer.ml: uni_lexer.mll
 	$(OCAMLLEX) uni_lexer.mll
