=== debian/changelog ===
pxp (1.2.7-1build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 21:44:35 -0600

pxp (1.2.7-1build1) wily; urgency=medium

  * No-change ocaml rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Sep 2015 13:58:48 +0200

pxp (1.2.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.6
  * Bump debhelper compat level to 9

 -- Stéphane Glondu <glondu@debian.org>  Mon, 04 May 2015 20:36:54 -0300
