=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 9),
  ocaml-nox,
  dh-ocaml (>= 0.9),
  ocaml-findlib,
@@ -11,7 +11,7 @@
  ocaml-ulex,
  camlp4,
  cdbs
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/pxp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/pxp.git
 Homepage: http://projects.camlcity.org/projects/pxp.html
