=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/ocaml.mk

PKGNAME = libpxp-ocaml-dev
DESTDIR=$(CURDIR)/debian/$(PKGNAME)$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DESTDIR)

configure/$(PKGNAME)::
	./configure -without-wlex -without-wlex-compat
	rm -f README	# it's a symlink, the real one is doc/README
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
build/$(PKGNAME)::
	$(MAKE) opt
endif
binary-post-install/$(PKGNAME)::
	-for f in debian/$(PKGNAME)/usr/share/doc/$(PKGNAME)/examples/xmlforms/styles/* ; do \
		test ! -r $$f && rm -f $$f ; \
	done
