## pxp 1.2.8

=== debian/changelog ===
pxp (1.2.8-1build1) zesty; urgency=medium

  * Rebuild against new OCaml ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Dec 2016 20:34:39 +0100

pxp (1.2.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Aug 2016 14:19:11 +0200
