=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  ocaml-nox,
  dh-ocaml (>= 0.9),
  ocaml-findlib,
- libocamlnet-ocaml-dev (>= 2.2.9-6),
+ libocamlnet-ocaml-dev (>= 4.1),
  ocaml-ulex,
  camlp4,
  cdbs
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/pxp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/pxp.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pxp.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pxp.git
 Homepage: http://projects.camlcity.org/projects/pxp.html
 
 Package: libpxp-ocaml-dev
